POSTAuthentication
Authenticate
Generate an Authentication Token for authenticating all subsequent API calls to Sotel. Send your Live API Key and receive a JWT Authentication Token in the response. This token must be included in the X-Token header of all other API requests.
Endpoint
POSThttps://api.sotel.com/api/esim/authenticate
Authentication
This endpoint does not require an Authentication Token. Send your Live API Key in the request body to receive a token for use with all other endpoints.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
api_key | string | Required | Your Live API Key from the Sotel partner dashboard. |
Request Example
{
"api_key": "YOUR_LIVE_API_KEY"
}Response
Authentication Token generated successfully. Use the token value in the X-Token header for all subsequent API calls.
Response
{
"status": "Success",
"code": 200,
"data": {
"code": 200,
"status": "success",
"token": "eyJhbGciOiJIUzUxMiJ9.eyJhcHAiOjEsInN1YiI6MSwiY291bnRyeSI6Ik5pZ2VyaWEiLCJjcmVhdGVkIjoxNzI4Mzk1OTU5NjE5LCJpc3MiOjEsImFkbWluIjoxLCJncmFudCI6IiIsImV4cCI6MTcyODQ4MjM1OSwiaWF0IjoxNzI4Mzk1OTU5LCJlbWFpbCI6ImFkZW9sYS5lbGVnYmVkZUB0ZXJtaWkuY29tIn0.q6Whz1g4NISj4gdAtpbECWK_XsaSv005U2zg0sL6cKEmWVlWEXg0sRDiX1cmjOhwb5eJC7am_6XiLHI-Ow22YQ"
},
"message": "Successful",
"timestamp": "2026-10-06 14:13:58"
}Code Examples
curl --location 'https://api.sotel.com/api/esim/authenticate' \
--header 'Content-Type: application/json' \
--data '{
"api_key": "YOUR_LIVE_API_KEY"
}'Try It
Try It
Fill in the parameters to generate a cURL command
Request Body
Generated cURL
curl --location 'https://api.sotel.com/api/esim/authenticate' \
--header 'Content-Type: application/json' \
--data '{
"api_key": "{api_key}"
}'